//
//  ViewController.swift
//  ex_constraintWithItem_multiplier
//
//  Created by yoshiyuki oshige on 2014/09/10.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        // ルートビューの背景色をグレーにする
        self.view.backgroundColor = UIColor.lightGrayColor()
        // イメージビューを作る
        let photoImage = UIImage(named: "IMG_4048.jpg")
        let imageView = UIImageView(image: photoImage)
        // イメージの表示モード
        imageView.contentMode = UIViewContentMode.ScaleAspectFill
        // 画像を領域のサイズで切り取る
        imageView.clipsToBounds = true
        // イメージビューを自動でサイズ調整しない
        imageView.setTranslatesAutoresizingMaskIntoConstraints(false)
        //　Constraintsを設定する前にイメージビューをルートビューに追加する
        self.view.addSubview(imageView)
        
        /* Constraintsの作成と設定 */
        // 水平センタリング位置
        let constraintX = NSLayoutConstraint(
            item: imageView,
            attribute: NSLayoutAttribute.CenterX,
            relatedBy: NSLayoutRelation.Equal,
            toItem: self.view,
            attribute: NSLayoutAttribute.CenterX,
            multiplier: 1,
            constant: 0)
        // 上辺からの位置
        let constraintY = NSLayoutConstraint(
            item: imageView,
            attribute: NSLayoutAttribute.Top,
            relatedBy: NSLayoutRelation.Equal,
            toItem: self.view,
            attribute: NSLayoutAttribute.Top,
            multiplier: 1,
            constant: 30 )
        // イメージビューの幅
        let constraintWidth = NSLayoutConstraint(
            item: imageView,
            attribute: NSLayoutAttribute.Width,
            relatedBy: NSLayoutRelation.Equal,
            toItem: self.view,
            attribute: NSLayoutAttribute.Width,
            multiplier: 4/5,
            constant: 0)
        // イメージビューの高さ
        let constraintHeight = NSLayoutConstraint(
            item: imageView,
            attribute: NSLayoutAttribute.Height,
            relatedBy: NSLayoutRelation.Equal,
            toItem: self.view,
            attribute: NSLayoutAttribute.Height,
            multiplier: 3/5,
            constant: 0)
        
        // ビューにConstraintsを設定する
        self.view.addConstraint(constraintX)
        self.view.addConstraint(constraintY)
        self.view.addConstraint(constraintWidth)
        self.view.addConstraint(constraintHeight)
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

