//
//  ViewController.swift
//  ex_tableView
//
//  Created by yoshiyuki oshige on 2014/09/12.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController, UITableViewDelegate, UITableViewDataSource {

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    /* UITableViewDataSourceプロトコル */
    // セクションごとの行数を返す
    func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        if section == 0 {
            return 3
        } else {
            return 5
        }
    }
    
    // 各行に表示するセルを返す
    func tableView(tableView: UITableView, cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell {
        // セル番号でセルを取り出す
        let cell = tableView.dequeueReusableCellWithIdentifier("Cell", forIndexPath: indexPath) as! UITableViewCell
        // セルに表示するテキストを設定する
        cell.textLabel?.text = "セル" + (indexPath.row).description
        //cell.textLabel.text = "セル" + (indexPath.row).description //Xcode6.1.0のみ
        cell.detailTextLabel?.text = "サブタイトル"
        return cell
    }
    
    // セクション数
    func numberOfSectionsInTableView(tableView: UITableView) -> Int {
        return 3
    }
    
    // セクションタイトル
    func tableView(tableView: UITableView, titleForHeaderInSection section: Int) -> String? {
        // セクション番号をタイトルにする
        return "セクション" + section.description
    }
    
    /* UITableViewDelegateデリゲートメソッド */
    // 行が選択された
    func tableView(tableView: UITableView, didSelectRowAtIndexPath indexPath: NSIndexPath) {
        println("セクション\(indexPath.section)のセル\(indexPath.row)が選択された")
    }
}

