//
//  ViewController.swift
//  ex_collectionView
//
//  Created by yoshiyuki oshige on 2014/09/17.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController, UICollectionViewDelegate, UICollectionViewDataSource {
    // コレクションビューとOutlet接続
    @IBOutlet weak var collectionView: UICollectionView!
    // イメージを入れておく配列
    var cellImages:Array<UIImage?>
    
    required init(coder aDecoder: NSCoder) {
        // セルに表示する画像イメージを用意する
        let image1 = UIImage(named: "IMG_4048.jpg")
        let image2 = UIImage(named: "IMG_4180.jpg")
        let image3 = UIImage(named: "IMG_4449.jpg")
        let image4 = UIImage(named: "IMG_4854.jpg")
        cellImages = [image1, image2, image3, image4]
        
        super.init(coder: aDecoder)
    }
    

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }
    
    // セクションの数
    func numberOfSectionsInCollectionView(collectionView: UICollectionView) -> Int {
        return 1
    }
    // セクションのセルの数
    func collectionView(collectionView: UICollectionView, numberOfItemsInSection section: Int) -> Int {
        return 100
    }
    // セルを返す
    func collectionView(collectionView: UICollectionView, cellForItemAtIndexPath indexPath: NSIndexPath) -> UICollectionViewCell {
        // セル番号でセルを取り出す
        let cell = collectionView.dequeueReusableCellWithReuseIdentifier("Cell", forIndexPath: indexPath) as! CollectionViewCell
        // 画像を選び出す
        let num = indexPath.row % cellImages.count
        let image = cellImages[num]
        // セルに画像を設定する
        cell.imageView.image = image
            return cell
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
}
