//
//  ViewController.swift
//  ex_UIBlurEffect_vibrancy
//
//  Created by yoshiyuki oshige on 2014/09/23.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//


import UIKit

class ViewController: UIViewController {
    

    // 背景の写真
    @IBOutlet weak var photo: UIImageView!
    // ブラー効果のビュー
    var blurEffectView:UIVisualEffectView
    var vibrancyEffectView:UIVisualEffectView
    
    // 初期値設定
    required init(coder aDecoder: NSCoder) {
        // blurEffectViewを作る
        let blurEffect = UIBlurEffect(style: UIBlurEffectStyle.Light)
        blurEffectView = UIVisualEffectView(effect: blurEffect)
        blurEffectView.backgroundColor = UIColor.clearColor()
        
        // vibrancyEffectViewのビューを作る
         let vibrancyEffect = UIVibrancyEffect(forBlurEffect: blurEffect)
        vibrancyEffectView = UIVisualEffectView(effect: vibrancyEffect)
        
 
        super.init(coder: aDecoder)
    }
    
    // スイッチでブラー効果を表示／非表示する
    @IBAction func blurSwitch(sender: UISwitch) {
        blurEffectView.hidden = !(sender.on)
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        let grade = UIImage(named: "grade.png")
        let gradeView = UIImageView(image: grade)
        
        
        
        //　写真全体にブラー効果のビューをかぶせる
        blurEffectView.frame = photo.frame
        vibrancyEffectView.contentView.addSubview(UIView())
        blurEffectView.contentView.addSubview(vibrancyEffectView)
        
        self.view.addSubview(blurEffectView)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
}


