//
//  ViewController.swift
//  ex_UIBlurEffect
//
//  Created by yoshiyuki oshige on 2014/09/23.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    // 背景の写真
    @IBOutlet weak var photo: UIImageView!
    // ブラー効果のビュー
    var blurEffectView:UIVisualEffectView
    
    // 初期値設定
    required init(coder aDecoder: NSCoder) {
        // ブラー効果を作る
        let blurEffect = UIBlurEffect(style: UIBlurEffectStyle.Light)
        // ブラー効果のビューを作る
        blurEffectView = UIVisualEffectView(effect: blurEffect)
        
        super.init(coder: aDecoder)
    }
    
    // スイッチでブラー効果を表示／非表示する
    @IBAction func blurSwitch(sender: UISwitch) {
        blurEffectView.hidden = !(sender.on)
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        //　写真全体にブラー効果のビューをかぶせる
        blurEffectView.frame = photo.frame
        self.view.addSubview(blurEffectView)
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
}






















/*
    // 写真
    @IBOutlet weak var photo: UIImageView!
    
    //
    @IBAction func effectSwitch(sender: UISwitch) {
       // let blurEffect = UIBlurEffect(style: UIBlurEffectStyle.Light)
        //let blurEffectView = UIVisualEffectView(effect: blurEffect)
       // blurEffectView.contentView.addSubview(photo)
       // blurEffectView.backgroundColor = UIColor.clearColor()
       // blurEffectView.frame = photo.frame
        // self.view.addSubview(blurEffectView)
        
      //  visualEffectView.frame = photo.frame
        
       // visualEffectView.frame = CGRectMake(50, 50,200, 300)
        if sender.on {
            photo.center.y += 20
            //visualEffectView.hidden = false
           // visualEffectView.contentView.addSubview(photo)
            //self.view.addSubview(visualEffectView)
            //photo.addSubview(visualEffectView)
            //visualEffectView.hidden = false
       //     println("on")
          
       } else {
             photo.center.y += 20
            //visualEffectView.removeFromSuperview()
           // visualEffectView.hidden = true
             //println("off")
             //blurEffectView.removeFromSuperview()
            //blurEffectView.center.y += 20
       }
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        let blurEffect = UIBlurEffect(style: UIBlurEffectStyle.Light)
        let blurEffectView = UIVisualEffectView(effect: blurEffect)
        // blurEffectView.contentView.addSubview(photo)
        // blurEffectView.backgroundColor = UIColor.clearColor()
        blurEffectView.frame = photo.frame
        self.view.addSubview(blurEffectView)
    }


*/



