//
//  ViewController.swift
//  ex_imageView_animation
//
//  Created by yoshiyuki oshige on 2014/09/20.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    // アニメーションするイメージビュー
    @IBOutlet weak var box: UIImageView!
    // アニメーションのスタート／ストップの切り替え
    @IBAction func startStop(sender: AnyObject) {
        if box.isAnimating() {
            // ストップ
            box.stopAnimating()
        } else {
            // スタート
            box.startAnimating()
        }
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // アニメーションのイメージを用意する
        let image1 = UIImage(named: "box1.png")
        let image2 = UIImage(named: "box2.png")
        let image3 = UIImage(named: "box3.png")
        let image4 = UIImage(named: "box4.png")
        let imageSequence:[UIImage!] = [image1, image2, image3, image4]
        // アニメーションのイメージを設定する
        box.animationImages = imageSequence
        // 再生速度（全部を再生するための秒数）
        box.animationDuration = NSTimeInterval(imageSequence.count)
        // 再生回数（0のとき無限）
        box.animationRepeatCount = 0
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

