//
//  ViewController.swift
//  ex_transitionFromView
//
//  Created by yoshiyuki oshige on 2014/09/22.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    // 変更するビュー
    @IBOutlet weak var fromView: UIView!
    
    // 切り替えるビューの配列
    var viewList:Array<UIView>
    // 初期化
    required init(coder aDecoder: NSCoder) {
        // view1を作る
        let view1:UIView = UIView()
        view1.backgroundColor = UIColor.darkGrayColor()
        let photo = UIImage(named: "IMG_4807.png")
        let photoView = UIImageView(image: photo)
        photoView.bounds = CGRectMake(0, 0, 180, 180)
        photoView.center = CGPointMake(110, 110)
        // view1に写真を配置する
        view1.addSubview(photoView)
        
        // view2を作る
        let view2:UIView = UIView()
        view2.backgroundColor = UIColor.yellowColor()
        let label = UILabel(frame: CGRectMake(20, 50, 200, 44))
        label.numberOfLines = 2
        label.text = "view2です。\nこんにちは。"
        // view2にラベルを配置する
        view2.addSubview(label)
        
        // ビューの配列
        viewList = [view1,view2]
        super.init(coder: aDecoder)
    }
    
    
    // セグメンテッドコントロールでビューを選ぶ
    @IBAction func switchView(sender: UISegmentedControl) {
            // toViewを用意する
            var toView = viewList[sender.selectedSegmentIndex]
            toView.frame  = fromView.frame
            
            // 指定の映像効果でビューを入れ替える
            UIView.transitionFromView(
            fromView, // 開始ビュー
            toView: toView, // 終了ビュー
            duration: 1, // トランジションの秒数
            options: UIViewAnimationOptions.TransitionCurlUp, // 映像効果（カールアップ）
            completion: nil) // 完了後の動作
            
            // fromViewを更新する
            fromView = toView
    }

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

